#include <stdio.h>

int getDisks() 
{
    int inpNum = -1;	
    printf("Welcome to the Towers of Hanoi\n");
    
    while (inpNum < 0 || inpNum > 10) {
        printf("How many rings do you have?");
	scanf("%d", &inpNum);
    }
    return inpNum;	
}

void doHanoi(int disks, int fromPole, int toPole, int usingPole) 
{
   if (disks == 1) 
   {
       printf ("%d %d\n", fromPole, toPole);
   } 
   else
   {
       doHanoi(disks - 1, fromPole, usingPole, toPole);
       printf("%d %d\n", fromPole, toPole);
       doHanoi(disks - 1, usingPole, toPole, fromPole);		
   } 	
}

int main(int argc, char* argv[]) 
{
    int disks = getDisks();
    printf("\n"); 
    doHanoi(disks, 1, 3, 2);	
}
