// Assignment 1
// Hanoi Tower

#include <iostream>

using std::cin;
using std::cout;

void hanoi(int from, int to, int other, int disksNum);

int main(int argc, char** argv)
{

  int disksNum;
  
 
  cout <<
    "Welcome to the Towers of Hanoi\n";
  do{
    cout << "How many rings do you have?\n";
    cin >> disksNum;
  }
  while (disksNum<1 || disksNum>10);

  hanoi(1, 3, 2, disksNum);

}


void hanoi(int from, int to, int other, int disksNum)
{

  if( disksNum == 1)
    cout << from << " " << to << "\n";
  
  else
    {
      hanoi(from, other, to, disksNum-1);
      hanoi(from, to, other, 1);
      hanoi(other, to, from, disksNum-1);
    }
}
